package BAOBAB::Chromosome;

# $Id: Chromosome.pm,v 1.3 2009/09/25 15:10:30 rnl14480 Exp $

@ISA = qw(BAOBAB::DataObject);

use strict;
use BAOBAB::DataObject;

our %cache = ();

sub new {
	my $c = shift;
	my %a = @_;

	my $r = {
		id       => $a{id},
		organism => $a{organism},
		name     => $a{name},
		size     => $a{size},
		no_cache => $a{no_cache}
	};

	bless $r, $c;
	$r = $r->SUPER::new();
	$cache{ $r->{id} } = $r if defined $a{id} && !$a{no_cache};
	return $r;
}

sub organism {
	my $s = shift;
	my $o = $s->{organism};
	$o = $o->() if ref($o) eq 'CODE';
	return $o;
}

sub name { return (shift)->{name}; }
sub size { return (shift)->{size}; }

1;
