package BAOBAB::Measure;

# $Id: Measure.pm,v 1.3 2009/09/25 15:10:31 rnl14480 Exp $

@ISA = qw(BAOBAB::DataObject);

use strict;
use BAOBAB::DataObject;

our %cache = ();

sub new {
	my $c = shift;
	my %a = @_;

	my $r = {
		id          => $a{id},
		name        => $a{name},
		description => $a{description},
		no_cache    => $a{no_cache}
	};

	bless $r, $c;
	$r = $r->SUPER::new();
	$cache{ $r->{id} } = $r if defined $a{id} && !$a{no_cache};
	return $r;
}

sub name        { return (shift)->{name}; }
sub description { return (shift)->{description}; }

1;
