package BAOBAB::Random;

#$Id: Random.pm,v 1.1 2009/09/28 15:16:15 rnl14480 Exp $

@ISA       = qw(Exporter);
@EXPORT_OK = qw(random);
use Exporter;

use strict;
our $RAN2 = undef;

sub random {
	my $range = shift;
	my $f     = _ran2($range);

	return $f;
}

sub _ran2 {

	# According to literature
	my $m = shift;

	unless ( defined $RAN2 ) {
		my @buckets;
		for my $i ( 0 .. 97 ) {
			$buckets[$i] = int( rand $m );
		}
		$RAN2 = sub {
			my $b = int( rand 98 );
			my $r = $buckets[$b];
			$buckets[$b] = int( rand $m );
			return $r;
		};
	}

	return $RAN2;
}

1;
